Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class UIAjaxForm

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIForm
                  org.ajax4jsf.component.UIAjaxForm

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

Direct Known Subclasses:
  AjaxForm

    public abstract class UIAjaxForm

extends javax.faces.component.UIForm
implements org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

Quite different from default `HtmlForm` - process child components not only for submitted form, but if submitted parent `AjaxContainer`

Version:
  $Revision: 1.1.2.3 $ $Date: 2007/02/06 16:23:22 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIForm
`COMPONENT_FAMILY`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIAjaxForm()`

Method Summary
`void` | `addAjaxListener(org.ajax4jsf.event.AjaxListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`org.ajax4jsf.event.AjaxListener[]` | `getAjaxListeners()`
`abstract boolean` | `isAjaxSubmit()`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `processValidators(javax.faces.context.FacesContext context)`
`void` | `removeAjaxListener(org.ajax4jsf.event.AjaxListener listener)`
`abstract void` | `setAjaxSubmit(boolean ajax)`
`protected void` | `setupReRender()` Template methods for fill set of resions to render in subclasses.

Methods inherited from class javax.faces.component.UIForm
`getFamily, isSubmitted, setSubmitted`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getRequestDelay, getReRender, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setRequestDelay, setReRender, setStatus, setTimeout`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIAjaxForm

    public UIAjaxForm()

Method Detail

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIForm`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Overrides:
    `processValidators` in class `javax.faces.component.UIForm`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `javax.faces.component.UIForm`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### setupReRender

    protected void setupReRender()

  Template methods for fill set of resions to render in subclasses.

### addAjaxListener

    public void addAjaxListener(org.ajax4jsf.event.AjaxListener listener)

  Specified by:
    `addAjaxListener` in interface `org.ajax4jsf.event.AjaxSource`

### getAjaxListeners

    public org.ajax4jsf.event.AjaxListener[] getAjaxListeners()

  Specified by:
    `getAjaxListeners` in interface `org.ajax4jsf.event.AjaxSource`

### removeAjaxListener

    public void removeAjaxListener(org.ajax4jsf.event.AjaxListener listener)

  Specified by:
    `removeAjaxListener` in interface `org.ajax4jsf.event.AjaxSource`

### isAjaxSubmit

    public abstract boolean isAjaxSubmit()

### setAjaxSubmit

    public abstract void setAjaxSubmit(boolean ajax)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.